{%- set config = {
  'events': {},
  'http': {},
} | combine(manala_nginx_config|default({}, true)) -%}

user www-data;
{{ config | manala.roles.nginx_config_parameter('worker_processes', default=1) }}

error_log /var/log/nginx/error.log warn;
pid /var/run/nginx.pid;

{{ config | manala.roles.nginx_config_parameter('load_module', default=[]) }}

events {
    {{ config.events | manala.roles.nginx_config_parameter('worker_connections', default=1024) }}
}

http {
    server_tokens off;
    default_type application/octet-stream;

    {{ config.http | manala.roles.nginx_config_parameter('log_format', default='main  \'$remote_addr - $remote_user [$time_local] "$request" \'
                      \'$status $body_bytes_sent "$http_referer" \'
                      \'"$http_user_agent" "$http_x_forwarded_for"\'') }}

    access_log /var/log/nginx/access.log;

    sendfile on;
    #tcp_nopush     on;

    {{ config.http | manala.roles.nginx_config_parameter('keepalive_timeout', default=65) }}

    include mime.types;
    include /etc/nginx/conf.d/*.conf;
{{ config.http | manala.roles.nginx_config_section(exclude=[
  'server_tokens',
  'default_type',
  'log_format',
  'access_log',
  'sendfile',
  'tcp_nopush',
  'keepalive_timeout',
  'include',
]) | indent(4) }}
}
{{ config | manala.roles.nginx_config_section(exclude=[
  'user',
  'worker_processes',
  'error_log',
  'pid',
  'load_module',
  'events',
  'http',
]) }}
